<?
/*
How to organize the search form popup hints...
The current ordering of Languages, though it turned out not to matter to anyone anywhere:
English: 0, Japanese: 1, Spanish: 2, German:3, French:4, Italian:5, Greek:6, Korean:7,
    Russian:8, Dutch:9, Chinese:10, Vietnamese: 11
The ordering of Labels:
hcodepoint:0, dcodepoint:1, shift-jis:2, utf8hex:3, utf8string:4, description:5, definition:6, pronunciation:7
Use only NEGATIVE ONE MINUS THE LABEL'S NUMBER to get a hint's array key, no padding. Description = -6, etc.
It has to be negative so it never conflicts with any myHints with the same decimal codepoint.
*/

require_once('functions.phps');
require_once('lang.phps'); // creates $alllangs[], $alllabels[], $word[], and $label[].
$items=array();
foreach ($alllangs as $lang) {
    $tmp='';
    foreach ($alllabels as $idx=>$lbl) {
        $items[0-($idx+1)] .= $label[$lang][$lbl] . "<BR>\n";
    }
}
foreach ($items as $idx=>$lbl) {
    echo "HINTS_ITEMS[$idx]='" . jsquote(trim($lbl)) . "';\n";
}
?>
